#include <iostream>
using namespace std;
int main() {
    int n,m,k;
    cin >> n >> m >> k;
    if ((n%k)>0) {
        n=(((n-(n%k))/k)+1)*k;
    }
    if ((m%k)>0) {
        m=(((m-(m%k))/k)+1)*k;
    }
    cout << (n*m)/(k*k);
}